/*==============================================================================
LocoChat HUD Messages.
==============================================================================*/
class Loco_HUD expands Mutator;

var string m[3];
var color IColor, TColor;
var Font F1;

simulated function PostRender(Canvas Canvas)
{
	local int X,Y;
//To the Right of Chat Box
	X = 755 * ChallengeHUD(Canvas.Viewport.Actor.myHUD).Scale;
	Y = 5;

	Canvas.Font = F1;
	Canvas.SetPos(X,Y);
	Canvas.DrawColor = TColor;
	Canvas.DrawText(m[0]);
	Y+=16;
	Canvas.SetPos(X,Y);
	Canvas.DrawColor = IColor;
	Canvas.DrawText(m[1]);
	Y+=16;
	Canvas.SetPos(X,Y);
	Canvas.DrawText(m[2]);

	if ( NextHUDMutator != None )
		NextHUDMutator.PostRender(Canvas);
}
simulated event Timer()
{
	local int i;

	if(m[0] != "")
	{
		for(i=0;i<ArrayCount(m);i++)
		{
   			m[i]="";

		}
	}
}
simulated function PreBeginPlay()
{
	RemoteRole=ROLE_SimulatedProxy;
	bAlwaysRelevant=True;

	TColor.G = 100;

     IColor.R = 255;
     IColor.G = 185;
	IColor.B = 15;

	//font
	F1 = Font(DynamicLoadObject("LadderFonts.UTLadder10", class'Font'));
	SetTimer(10.0,false);
}

simulated function Tick(float DeltaTime)
{
	if ( !bHUDMutator && Level.NetMode != NM_DedicatedServer )
	   	RegisterHUDMutator();
}

defaultproperties
{
    bAlwaysRelevant=True
    bNetTemporary=True
    RemoteRole=2
    m(0)="LocoChat Commands"
    m(1)="!permamute == mutes/unmutes permanently"
    m(2)="!mapmute == mutes until next map"
}
